import { jsx } from "react/jsx-runtime";
import { TokenGRAIL as TokenGRAIL$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenGRAIL = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "GRAIL", "data-name": "TokenGRAIL", ...props, children: /* @__PURE__ */ jsx(TokenGRAIL$1, { variant }) });
  }
);
TokenGRAIL.displayName = "TokenGRAIL";
Object.assign(TokenGRAIL, { isGdsIcon: true });
export {
  TokenGRAIL
};
